# Module ra_dbg

- Description
- Function Index
- Function Details

utilities to debug ra.

## Description

utilities to debug ra

## Function Index

replay_log/3 | Replays log file for a given state machine module with an initial state.
replay_log/4 | Replays log file for a given state machine module with an initial state.
filter_duplicate_entries/1 |

## Function Details

### replay_log/3

    replay_log(WalFile :: string(),
               Module :: module(),
               InitialState :: term()) ->
                  term()

returns: The state once the log has been replayed.

Replays log file for a given state machine module with an initial state.

### replay_log/4

    replay_log(WalFile :: string(),
               Module :: module(),
               InitialState :: term(),
               Fun) ->
                  term()

-     Fun = fun((State :: term(), Effects :: term()) -> term())

returns: The state once the log has been replayed.

Replays log file for a given state machine module with an initial state.

### filter_duplicate_entries/1

`filter_duplicate_entries(WalInReverseOrder) -> any()`

Generated by EDoc